"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.extractValue = void 0;
const x_get_safe_property_chain_1 = require("@empathyco/x-get-safe-property-chain");
const x_utils_1 = require("@empathyco/x-utils");
/**
 * Extracts the value of the given property's path from the given object.
 *
 * @param obj - The object to extract the property's value from.
 * @param path - The path to the object's property.
 *
 * @returns The value of the property.
 *
 * @public
 */
function extractValue(obj, path) {
    const result = (0, x_get_safe_property_chain_1.getSafePropertyChain)(obj, path);
    if (result !== undefined) {
        if ((0, x_utils_1.isArray)(result)) {
            return result;
        }
        else {
            return result;
        }
    }
}
exports.extractValue = extractValue;
//# sourceMappingURL=extract-value.js.map