import { getSafePropertyChain } from '@empathyco/x-get-safe-property-chain';
import { isArray } from '@empathyco/x-utils';
/**
 * Extracts the value of the given property's path from the given object.
 *
 * @param obj - The object to extract the property's value from.
 * @param path - The path to the object's property.
 *
 * @returns The value of the property.
 *
 * @public
 */
export function extractValue(obj, path) {
    const result = getSafePropertyChain(obj, path);
    if (result !== undefined) {
        if (isArray(result)) {
            return result;
        }
        else {
            return result;
        }
    }
}
//# sourceMappingURL=extract-value.js.map