/**
 * The `RequestError` object is thrown when a runtime `request` error occurs.
 *
 * @public
 */
export declare class RequestError extends Error {
    readonly message: string;
    readonly response: Response;
    /**
     * Creates a new `RequestError` object.
     *
     * @param message - The error message.
     * @param response - The response from the request that triggered the error.
     *
     * @public
     */
    constructor(message: string, response: Response);
}
