import { Dictionary, ExtractPath, ExtractType } from '@empathyco/x-utils';
/**
 * Extracts the value of the given property's path from the given object.
 *
 * @param obj - The object to extract the property's value from.
 * @param path - The path to the object's property.
 *
 * @returns The value of the property.
 *
 * @public
 */
export declare function extractValue<SomeObject extends Dictionary, Path extends ExtractPath<SomeObject>>(obj: SomeObject | SomeObject[], path: Path): ExtractType<SomeObject, Path> | ExtractType<SomeObject, Path>[] | undefined;
